View Issue Details

IDProjectCategoryView StatusLast Update
0001893Common[All Projects] Generalpublic2016-12-16 19:22
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.4 
Target VersionFixed in Version3.2.5 
Summary0001893: Vérifier la structure des PDO Data bean
DescriptionUn handler est censé me retourner une réponse dans laquelle se trouve un databean. Ce databean vient généralement soit de PDO (MySQL, autogen) soit d'une construction manuelle de bean (classe créée spécialement avec des fields et tout).

Il faudrait juste bien reprendre le fonctionnement de ce bazar pour que je m'assure qu'il n'y a pas d'embrouille et pas de moyen de simplifier certains composants.
TagsNo tags attached.
Attach Tags

Relationships

related to 0001888 CloseXenos Utiliser le SQL pour générer les sources 

Activities

Xenos

Xenos

2016-12-02 23:31

administrator   ~0002763

J'ai viré blinde de trucs pour simplifier le bazar. Du coup, les beans retournés par PDO sont juste des beans: des objets avec des champs publiques.

Je gère le typage de ces champs (je suis obligé d'utiliser EMULATE PREPARES pour que PDO me lance les exceptions, et EMULATE PREPARES bascule tous les champs en "string"), y compris les nullable.

Les beans n'ont plus de comportements: les rares bouts de comportements sont dans une abstract class dont ils héritent.

Si je veux faire d'autres sources de beans, c'est facile: je peux soit créer d'autres classes de bean, soit bêtement utiliser des stdClass (à condition de ne pas péter les typehintings).

J'ai conservé le décorateur exécutant les procédures avant de les appeler.

J'ai viré le query executor: compliqué pour rien.

Issue History

Date Modified Username Field Change
2016-11-13 16:32 Xenos New Issue
2016-11-13 16:32 Xenos Status New => Accepted
2016-11-28 21:52 Xenos Assigned To => Xenos
2016-11-28 21:52 Xenos Status Accepted => In progress
2016-11-28 22:14 Xenos Relationship added related to 0001888
2016-12-02 23:31 Xenos Status In progress => Ready
2016-12-02 23:31 Xenos Resolution open => fixed
2016-12-02 23:31 Xenos Note Added: 0002763
2016-12-16 00:39 AutoUpdater Status Ready => Resolved
2016-12-16 00:39 AutoUpdater Fixed in Version => 3.2.5
2016-12-16 19:22 Xenos Status Resolved => Close